Skip to main content
List NFTs

Headers

string
required
Your WalletKit Project ID can be found on the API Keys page in the WalletKit Dashboard.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

network
enum<string>
required
Available options:
Ethereum,
Polygon,
Base,
Avalanche,
Polkadot,
Vara
wallet_address
string | null

query by wallet address. If provided, contract_address should not be set.

contract_address
string | null

query by collection address. If provided, wallet_address should not be set.

page
integer | null

page number, starting from 1

page_size
integer | null

size of each page

Response

owner_wallet_address
string
required
contract_address
string
required
token_id
string
required
metadata
NftMetadata · object | null